Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp.taglib
Class AjaxContainerBaseRule

    java.lang.Object
      javax.faces.view.facelets.MetaRule
          org.ajax4jsf.webapp.taglib.AjaxContainerBaseRule

    public class AjaxContainerBaseRule

extends javax.faces.view.facelets.MetaRule

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:21 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Nested Class Summary
`static class` | `AjaxContainerBaseRule.AjaxListenerMapper`

Field Summary
`static java.lang.Class[]` | `AJAX_LISTENER_SIG`
`static AjaxContainerBaseRule` | `INSTANCE`

Constructor Summary
`AjaxContainerBaseRule()`

Method Summary
`javax.faces.view.facelets.Metadata` | `applyRule(java.lang.String name, javax.faces.view.facelets.TagAttribute attribute, javax.faces.view.facelets.MetadataTarget meta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_LISTENER_SIG

    public static final java.lang.Class[] AJAX_LISTENER_SIG

### INSTANCE

    public static final AjaxContainerBaseRule INSTANCE

Constructor Detail

### AjaxContainerBaseRule

    public AjaxContainerBaseRule()

Method Detail

### applyRule

    public javax.faces.view.facelets.Metadata applyRule(java.lang.String name,
                                                        javax.faces.view.facelets.TagAttribute attribute,
                                                        javax.faces.view.facelets.MetadataTarget meta)

  Specified by:
    `applyRule` in class `javax.faces.view.facelets.MetaRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.